%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  BI
%global packver   1.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.0
Release:          1%{?dist}%{?buildtag}
Summary:          Blinding Assessment Indexes for Randomized, Controlled, Clinical Trials

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Generate the James Blinding Index, as described in James et al (1996)
<https://pubmed.ncbi.nlm.nih.gov/8841652/> and the Bang Blinding Index, as
described in Bang et al (2004)
<https://pubmed.ncbi.nlm.nih.gov/15020033/>. These are measures to assess
whether or not satisfactory blinding has been maintained in a randomized,
controlled, clinical trial. These can be generated for trial subjects,
research coordinators and principal investigators, based upon standardized
questionnaires that have been administered, to assess whether or not they
can correctly guess to which treatment arm (e.g. placebo or treatment)
subjects were assigned at randomization.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
